BizKitHub
DocsAPI ReferenceCalendar/bff/calendar/calendar-detail
getCalendarAdmin BFF

/bff/calendar/calendar-detail

Returns calendar metadata and events for the given view and date range. Requires the authenticated member to have permission on the calendar.

CalendargetBffCalendarCalendar-detail

Parameters

3 query

Query parameters

· 3
codestringRequired

External calendar code identifier.

Exampleexample_code
viewstringRequired

Calendar view mode (e.g., "day", "week", "month", "report").

Exampleexample_view
selectorFromstringOptional

ISO date string to load events from. Defaults to now.

Exampleexample_selectorFrom

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/calendar/calendar-detail

get
curl -X GET "https://api.bizkithub.com/bff/calendar/calendar-detail?code=example_code&view=example_view&selectorFrom=example_selectorFrom" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key